SMAILLOG(8)

NAME
smaillog - parse Smail 3.1 logs

SYNOPSIS
smaillog [ -l ] [ -d ] < input > output

DESCRIPTION
smaillog parses log files produced by smail and produces a report showing the flow of mail. smaillog recognizes the following options:

-l  add the byte count of each message as it was calculated by smail to the report.

-d  Add the date of the message to the report. smaillog normally runs once a day, but for accumulated log files, this option will show not only the time when the message was sent/received, but also the date.

EXAMPLE
    $ smaillog < /usr/spool/smail/log/logfile
    07:05:18: unido!root => jpm
    15:21:54: jpm => jpm@jptosh
    $ smaillog -d < /usr/spool/smail/log/logfile
    04/02/92 07:05:18: unido!root => jpm
    04/02/92 15:21:54: jpm => jpm@jptosh
    $ smaillog -l -d < /usr/spool/smail/log/logfile
    04/02/92 07:05:18:   9196 unido!root => jpm
    04/02/92 15:21:54:     99 jpm => jpm@jptosh

NOTES
The byte count produced by the -l option does not take the headers of the message into account.

FILES
Input for smaillog must be in smail log-file format

CREDITS
Written by Jeff Beadles - <jeff@onion.pdx.com>
Options and man-page added by Jan-Piet Mens - <jpm@Logix.DE>
Thanks to Landon Curt Noll & Ronald S. Karr for developing Smail